classification
Title: distutils.tests.test_build_ext.BuildExtTestCase fails when srcdir != builddir
Type: compile error Stage:
Components: Distutils, Tests Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: tarek Nosy List: doko, rpetrov, tarek
Priority: low Keywords:

Created on 2009-02-11 14:42 by doko, last changed 2010-02-16 12:56 by doko. This issue is now closed.

Messages (7)
msg81645 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2009-02-11 14:42
these tests fail, when python is built with builddir != srcdir.

======================================================================
ERROR: test_build_ext (distutils.tests.test_build_ext.BuildExtTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File
"/home/packages/python/2.6/python2.6-2.6.1/Lib/distutils/tests/test_build_ext.p
y", line 23, in setUp
    shutil.copy(xx_c, self.tmp_dir)
  File "/home/packages/python/2.6/python2.6-2.6.1/Lib/shutil.py", line
88, in copy
    copyfile(src, dst)
  File "/home/packages/python/2.6/python2.6-2.6.1/Lib/shutil.py", line
52, in copyfile
    fsrc = open(src, 'rb')
IOError: [Errno 2] No such file or directory:
'/home/packages/python/2.6/python2.6-2.6
.1/build-static/Modules/xxmodule.c'

======================================================================
ERROR: test_solaris_enable_shared
(distutils.tests.test_build_ext.BuildExtTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File
"/home/packages/python/2.6/python2.6-2.6.1/Lib/distutils/tests/test_build_ext.py",
line 23, in setUp
    shutil.copy(xx_c, self.tmp_dir)
  File "/home/packages/python/2.6/python2.6-2.6.1/Lib/shutil.py", line
88, in copy
    copyfile(src, dst)
  File "/home/packages/python/2.6/python2.6-2.6.1/Lib/shutil.py", line
52, in copyfile
    fsrc = open(src, 'rb')
IOError: [Errno 2] No such file or directory:
'/home/packages/python/2.6/python2.6-2.6.1/build-static/Modules/xxmodule.c'
msg81667 - (view) Author: Roumen Petrov (rpetrov) * Date: 2009-02-11 20:37
I guess fixed in trunk - see issue4070 and issue4151 .
msg81887 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-02-13 08:49
Matthias, can you confirm the test passes now on your side, so I close
this issue. Thanks
msg81915 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2009-02-13 12:31
no, still seen on the branches. I'll have a look at backporting these
changes to the 2.6 branch before 2.6.2.
msg81917 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-02-13 12:38
can you tell where xxmodule.c is in your installation ?

(in 'builddir' ?)
msg82171 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2009-02-15 21:44
in my case builddir is a subdirectory of srcdir. xxmodule.c can be found
in <srcdir>/Modules/xxmodule.c
msg99404 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2010-02-16 12:56
this is fixed in 2.7 alpha3 and 3.2
History
Date User Action Args
2010-02-16 12:56:50dokosetstatus: open -> closed
resolution: fixed
messages: + msg99404
2009-02-15 21:44:02dokosetmessages: + msg82171
2009-02-13 12:38:56tareksetmessages: + msg81917
2009-02-13 12:31:55dokosetmessages: + msg81915
versions: - Python 3.1, Python 2.7
2009-02-13 09:00:10tareksetpriority: low
2009-02-13 08:49:39tareksetmessages: + msg81887
2009-02-11 20:37:30rpetrovsetnosy: + rpetrov
messages: + msg81667
2009-02-11 14:42:05dokocreate